﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{

    public class JazdyContext : DbContext {
        DbSet<User> Users { get; set; }
        DbSet<Route> Routes { get; set; }
        DbSet<Trip> Trips { get; set; }

    }

    public class User {
        public string UniqueName { get; set; }
    }
    
    public class Route
    {
        String Name { get; set; }
    }

    public class Trip {
        public int Id { get; set; }
        public Route Route { get; set; }
        public User Driver { get; set; }
        public DateTime Date { get; set; }
        public virtual List<User> Passengers { get; set; }
    }

}
